close all
clear all
table1 = readmatrix('LC3-1.txt');
table2 = readmatrix('LC3-2.txt');
table3 = readmatrix('LC3-3.txt');
t = table1(:,1);

FxLC1sec1 = table1(:,2);
FxLC1sec2 = table2(:,2);
FxLC1sec3 = table3(:,2);
sig1_Fx = FxLC1sec1; 
sig2_Fx = FxLC1sec2;
sig3_Fx  = FxLC1sec3;
x1_Fx = [t,sig1_Fx];
x2_Fx = [t,sig2_Fx];
x3_Fx = [t,sig3_Fx];
S1_Fx = dat2spec2(x1_Fx,1000);
S2_Fx = dat2spec2(x2_Fx,1000)
S3_Fx = dat2spec2(x3_Fx,1000)


FzLC1sec1 = table1(:,4);
FzLC1sec2 = table2(:,4);
FzLC1sec3 = table3(:,4);
sig1_Fz = FzLC1sec1; 
sig2_Fz = FzLC1sec2;
sig3_Fz  = FzLC1sec3;
x1_Fz = [t,sig1_Fz];
x2_Fz = [t,sig2_Fz];
x3_Fz = [t,sig3_Fz];
S1_Fz = dat2spec2(x1_Fz,1000);
S2_Fz = dat2spec2(x2_Fz,1000)
S3_Fz = dat2spec2(x3_Fz,1000)

MyLC1sec1 = table1(:,6);
MyLC1sec2 = table2(:,6);
MyLC1sec3 = table3(:,6);
sig1_My = MyLC1sec1; 
sig2_My = MyLC1sec2;
sig3_My  = MyLC1sec3;
x1_My = [t,sig1_My];
x2_My = [t,sig2_My];
x3_My = [t,sig3_My];
S1_My = dat2spec2(x1_My,1000);
S2_My = dat2spec2(x2_My,1000)
S3_My = dat2spec2(x3_My,1000)
%%
MeanFxLc1sec1 = mean(FxLC1sec1(20000:30000));
MeanFzLc1sec1 = mean(FzLC1sec1(20000:30000));
MeanMyLc1sec1 = -mean(MyLC1sec1(20000:30000));
MeanFxLc1sec2 = mean(FxLC1sec2(20000:30000));
MeanFzLc1sec2 = mean(FzLC1sec2(20000:30000));
MeanMyLc1sec2 = -mean(MyLC1sec2(20000:30000));
MeanFxLc1sec3 = mean(FxLC1sec3(20000:30000));
MeanFzLc1sec3 = mean(FzLC1sec3(20000:30000));
MeanMyLc1sec3 = -mean(MyLC1sec3(20000:30000));
mean = [MeanFxLc1sec1*10 MeanFzLc1sec1*10 MeanMyLc1sec1; MeanFxLc1sec2*10 MeanFzLc1sec2*10 MeanMyLc1sec2; MeanFxLc1sec3*10 MeanFzLc1sec3*10 MeanMyLc1sec3];
SDFxLc1sec1 = std(FxLC1sec1);
SDFzLc1sec1 = std(FzLC1sec1);
SDMyLc1sec1 = std(MyLC1sec1);
SDFxLc1sec2 = std(FxLC1sec2);
SDFzLc1sec2 = std(FzLC1sec2);
SDMyLc1sec2 = std(MyLC1sec2);
SDFxLc1sec3 = std(FxLC1sec3);
SDFzLc1sec3 = std(FzLC1sec3);
SDMyLc1sec3 = std(MyLC1sec3);
SD = [SDFxLc1sec1*10 SDFzLc1sec1*10 SDMyLc1sec1; SDFxLc1sec2*10 SDFzLc1sec2*10 SDMyLc1sec2; SDFxLc1sec3*10 SDFzLc1sec3*10 SDMyLc1sec3];  
% x = ['Section 1' ; 'Secton 2'; 'Section 3']
% x = ['Section 1' ; 'Secton 2'; 'Section 3']
subplot(2,1,1)
bar(mean)
xlabel('Section')
ylabel('Load')
title('Mean Value Of The Load in LC3')
grid on 
subplot(2,1,2)
bar(SD)
xlabel('Section')
ylabel('Load')
legend('F_{x} x 10','F_{z} x 10','M_{y}');
title('Standard Deviation Of The Load in LC3')
grid on 
sgtitle('Statistical values of the load in LC3')

%%
figure
subplot(3,1,1)
plot(S1_Fx.w,(S1_Fx.S),'-or','linewidth',1)
xlim([0 1])
hold on 
plot(S2_Fx.w,(S2_Fx.S),'-ob','linewidth',1)
xlim([0 1])
hold on
plot(S3_Fx.w,(S3_Fx.S),'-om','linewidth',1)
xlim([0 1])
xlabel('Wave Fequency, f (Hz) ')
ylabel('S(f) [N^{2}s]')
title('Load spectrum for F_{x}')
grid on



subplot(3,1,2)
plot(S1_Fz.w,(S1_Fz.S),'-or','linewidth',1)
xlim([0 1])
hold on 
plot(S2_Fz.w,(S2_Fz.S),'-ob','linewidth',1)
xlim([0 1])
hold on
plot(S3_Fz.w,(S3_Fz.S),'-om','linewidth',1)
xlim([0 1])
xlabel('Wave Fequency, f (Hz) ')
ylabel( 'S(f) [N^{2}s]')
title('Load spectrum for F_{z}')
grid on

subplot(3,1,3)
plot(S1_My.w,(S1_My.S),'-or','linewidth',1)
xlim([0 1])
hold on 
plot(S2_My.w,(S2_My.S),'-ob','linewidth',1)
xlim([0 1])
hold on
plot(S3_My.w,(S3_My.S),'-om','linewidth',1)
xlim([0 1])
legend('Section 1','Section 2','Section 3')
xlabel('Wave Fequency, f (Hz) ')
ylabel('S(f) [(Nm)^{2}s]')
title('Load spectrum for M_{y}')
grid on
sgtitle("Load Case 3")


