clear
clc
a = readtable('restoringcoefficient.xlsx')
f = a.Force;
Surge = a.Surge;
Sway = a.Sway;
Yaw = a.Yaw
coefficients1 = polyfit(Surge, f, 1);
coefficients2 = polyfit(Sway, f, 1);
coefficients3 = polyfit(Yaw, f, 1);
% C11 = 2*coefficients1(1)+ Surge(12)+coefficients1(2) % calculates the slope
C11 = coefficients1(1) % calculates the slope
C22 = coefficients2(1)
C66 = coefficients3(1)
figure(1)
plot(Surge,f)
xlabel('Max offset in Surge (m)')
ylabel('Force (N)')
title(' Surge restoring coefficient')
text(0,2e6, sprintf('Slope of the curve is C11  %.2f N/m', C11))
figure(2)
plot(smooth(Sway),f)
xlabel('Max offset in Sway (m)')
ylabel('Force (N)')
title(' Sway restoring coefficient')
text(0,2e6, sprintf('Slope of the curve is C22  %.2f N/m', C22))
figure(3)
plot(Yaw,f)
xlabel('Max offset in Yaw (deg)')
ylabel('Moment (Nm)')
title(' Yaw restoring coefficient')
text(0,2e6, sprintf('Slope of the curve is C33  %.2f Nm/deg', C66))