clear all
close all
clc
%% Reading heave motions
T = [1:4:17,20,21,22,25,29];
table1 = readmatrix('timeseries.xlsx')
table2 = readmatrix('regularmotions.xlsx')
t = table1(:,1);
%% Filtered heave
for i = 1:size(T,2)
heave(:,i) = table2(:,i);
dt=0.1;
xbp(:,i) = bpass(heave(:,i),dt,(0.9/T(i)),(1.1/T(i))); % output 
heavefiltered(:,i)=xbp(:,i);
% figure(i)
% plot(t,heavefiltered(:,i));
%% Find Peaks using wafo (here we use PQ analysis function but we are only interested in tpp)
t_start = 600;
indstart = sum(t<=t_start);
t_end = 1300;
indend = sum(t<=t_end)
t_new = t(indstart+1:indend);
heavefiltered_new(:,i) = heavefiltered((indstart+1:indend),i);
[P,Q,fighandle,xbar,dx,tp,tpp] = PQanalysis(t_new,heavefiltered_new(:,i),1);
Avg_heave_SIMA(i) = mean(tpp(:,2))

end
%% Comparison : HydroD and SIMA

omega=2*pi./T;
heave_hydroD = [0,0.02,0.236,0.551,0.539,0.68,3.727,1.632,1.144,1.055]
close all
figure
plot(omega,Avg_heave_SIMA,'-o','LineWidth',2)
xlabel('Omega (rad/sec)')
ylabel(' Heave RAO (m/m) ')
title('Comparison of heave RAO with SIMA and HydroD')
hold on
plot(omega,heave_hydroD,'r')
legend('SIMA','HydroD')
grid on
Result = table(transpose(omega),transpose(Avg_heave_SIMA),transpose(heave_hydroD),'VariableNames',{'Omega(rad/sec)','Heave RAO-SIMA','Heave RAO-HydroD'})
% array2table(Result,'VariableNames',{'time','U','Udot'})