clear all
close all
clc
%%  READING FILES

waveLC1 = readmatrix('LC1-sima-wave.txt');
waveLC2 = readmatrix('LC2-sima-wave.txt');
waveLC3 = readmatrix('LC3-sima-wave.txt');
HeaveLC1 = readmatrix('LC1-sima-heave.txt');
HeaveLC2 = readmatrix('LC2-sima-heave.txt');
HeaveLC3 = readmatrix('LC3-sima-heave.txt');
SurgeLC1 = readmatrix('LC1-sima-surge.txt');
SurgeLC2 = readmatrix('LC2-sima-surge.txt');
SurgeLC3 = readmatrix('LC3-sima-surge.txt');
PitchLC1 = readmatrix('LC1-sima-pitch.txt');
PitchLC2 = readmatrix('LC2-sima-pitch.txt');
PitchLC3 = readmatrix('LC3-sima-pitch.txt');

TBMyWASIMLC1 = readmatrix('LC1-TB-My-Wasim.txt')
TBAxWASIMLC1 = readmatrix('LC1-TB-Ax-Wasim.txt')

TBMySIMALC1 =  readmatrix('LC1-sima-TB-My.txt')
TBAxSIMALC1 =  readmatrix('LC1-sima-TB-axial.txt')
TBMySIMALC2 =  readmatrix('LC2-sima-TB-My.txt')
TBAxSIMALC2 =  readmatrix('LC2-sima-TB-axial.txt')
TBMySIMALC3 =  readmatrix('LC3-sima-TB-My.txt')
TBAxSIMALC3 =  readmatrix('LC3-sima-TB-axial.txt')

t      = [0.1:0.1:4000];


 
%% Wave Elevation
close all
figure
subplot(3,1,1)
plot(t,waveLC1(:,2),'-b','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Wave Elevation (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC1')
grid on
subplot(3,1,2)
plot(t,waveLC2(:,2),'-b','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Wave Elevation (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC2')
grid on
subplot(3,1,3)
plot(t,waveLC3(:,2),'-b','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Wave Elevation (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC3')
grid on

%% Heave Response

close all
figure
subplot(3,1,1)
plot(t,HeaveLC1(:,2),'-b','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Heave (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC1')
grid on
subplot(3,1,2)
plot(t,HeaveLC2(:,2),'-b','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Heave (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC2')
grid on
subplot(3,1,3)
plot(t,HeaveLC3(:,2),'-b','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Heave (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC3')
grid on

%% %% Pitch Response

close all
figure
subplot(3,1,1)
plot(t,PitchLC1(:,2),'-r','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Pitch (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC1')
grid on
subplot(3,1,2)
plot(t,PitchLC2(:,2),'-r','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Pitch (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC2')
grid on
subplot(3,1,3)
plot(t,PitchLC3(:,2),'-r','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Pitch (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC3')
grid on

%% Surge Response

close all
figure
subplot(3,1,1)
plot(t,SurgeLC1(:,2),'-m','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Surge (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC1')
grid on
subplot(3,1,2)
plot(t,SurgeLC2(:,2),'-m','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Surge (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC2')
grid on
subplot(3,1,3)
plot(t,SurgeLC3(:,2),'-m','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Surge (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC3')
grid on


%% %% Axial Load
TBAxSIMALC1 = TBAxSIMALC1 - mean(TBAxSIMALC1)
TBAxSIMALC2 = TBAxSIMALC2(:,2)
TBAxSIMALC2 = TBAxSIMALC2 - mean(TBAxSIMALC2)
TBAxSIMALC3 = TBAxSIMALC3(:,2)
TBAxSIMALC3 = TBAxSIMALC3 - mean(TBAxSIMALC3)
t1 = [4:4:4000]
close all
figure
subplot(3,1,1)
plot(t1,TBAxSIMALC1,'-r','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Tower Axial Load (N) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC1')
grid on
subplot(3,1,2)
plot(t1,TBAxSIMALC2,'-r','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Tower Axial Load (N)  ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC2')
grid on
subplot(3,1,3)
plot(t1,TBAxSIMALC3,'-r','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Tower Axial Load (N)  ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC3')
grid on


%% Bending Moment
t1 = [4:4:4000]
close all
figure
subplot(3,1,1)
plot(t1,TBMySIMALC1(:,2),'-m','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' M_{y} (N.m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC1')
grid on
subplot(3,1,2)
plot(t1,TBMySIMALC2(:,2),'-m','LineWidth',0.5)
xlabel('time (secs)')
ylabel('  M_{y} (N.m)  ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC2')
grid on
subplot(3,1,3)
plot(t1,TBMySIMALC3(:,2),'-m','LineWidth',0.5)
xlabel('time (secs)')
ylabel('  M_{y} (N.m)  ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC3')
grid on

%% Comparitive plots- My
TBMySIMALC1 = TBMySIMALC1(:,2)
close all
figure
plot(t(36000:40000),TBMyWASIMLC1(36000:40000),'-r','LineWidth',1)
hold on 
plot(t1(900:1000),TBMySIMALC1(900:1000),'-b','LineWidth',1)
legend('WASIM+SIMA','SIMA')
xlabel('time (secs)')
ylabel('M_{y} (N.m)')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Comparison of Tower Base Bending Moment, M_{y}')
grid on

%% 
TBAxWASIMLC1 = TBAxWASIMLC1-mean(TBAxWASIMLC1)
TBAxSIMALC1  = TBAxSIMALC1 - mean(TBAxSIMALC1)
close all
figure
plot(t(36000:40000),-TBAxWASIMLC1(36000:40000),'-r','LineWidth',1)
hold on 
plot(t1(900:1000),TBAxSIMALC1(900:1000),'-b','LineWidth',1)
legend('WASIM+SIMA','SIMA')
xlabel('time (secs)')
ylabel(' Axial Load (N)')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Comparison of Tower Base Axial Load')
grid on

%% Motion comparison
close all
figure
subplot(3,1,1)
plot(t,HeaveLC1(:,2),'-b','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Heave (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC1')
grid on
subplot(3,1,2)
plot(t,HeaveLC2(:,2),'-b','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Heave (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC2')
grid on
subplot(3,1,3)
plot(t,HeaveLC3(:,2),'-b','LineWidth',0.5)
xlabel('time (secs)')
ylabel(' Heave (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC3')
grid on

%% Mooring
close all
LC1M1 = readmatrix('LC1-sima-M1.txt');
LC2M1 = readmatrix('LC2-sima-M1.txt');
LC3M1 = readmatrix('LC3-sima-M1.txt');
LC1M2 = readmatrix('LC1-sima-M2.txt');
LC2M2 = readmatrix('LC2-sima-M2.txt');
LC3M2 = readmatrix('LC3-sima-M2.txt');
LC1M3 = readmatrix('LC1-sima-M3.txt');
LC2M3 = readmatrix('LC2-sima-M3.txt');
LC3M3 = readmatrix('LC3-sima-M3.txt');
figure
subplot(3,1,1)
plot(t1,LC1M1(:,2),'-r','LineWidth',1)
hold on 
plot(t1,LC1M2(:,2),'-b','LineWidth',1)
hold on
plot(t1,LC1M3(:,2),'-m','LineWidth',1)
legend('Line1','Line2','Line3')
xlabel('time (secs)')
ylabel('  Load (N)')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC1')
grid on
subplot(3,1,2)
plot(t1,LC2M1(:,2),'-r','LineWidth',1)
hold on 
plot(t1,LC2M2(:,2),'-b','LineWidth',1)
hold on
plot(t1,LC2M3(:,2),'-m','LineWidth',1)
legend('Line1','Line2','Line3')
xlabel('time (secs)')
ylabel(' Load (N)')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC2')
grid on
subplot(3,1,3)
plot(t1,LC3M1(:,2),'-r','LineWidth',1)
hold on 
plot(t1,LC3M2(:,2),'-b','LineWidth',1)
hold on
plot(t1,LC3M3(:,2),'-m','LineWidth',1)
legend('Line1','Line2','Line3')
xlabel('time (secs)')
ylabel('Load (N)')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC3')
grid on


%% 
HeaveLC1wasim= readmatrix('LC1-wasim-heave.txt');
SurgeLC1wasim = readmatrix('LC1-wasim-surge.txt');
PitchLC1wasim = readmatrix('LC1-wasim-pitch.txt');
HeaveLC1 = HeaveLC1(:,2);
SurgeLC1 = SurgeLC1(:,2);
PitchLC1 = PitchLC1(:,2);

figure

subplot(3,1,1)
plot(t(36000:40000),SurgeLC1wasim(36000:40000),'-xr','LineWidth',1,'MarkerSize',2)
hold on 
plot(t(36000:40000),SurgeLC1(36000:40000),'-b','LineWidth',1)
legend('WASIM+SIMA','SIMA')
xlabel('time (secs)')
ylabel(' Surge (m)')
title('Comparison Of Motion Response in Surge')
grid on
subplot(3,1,2)
plot(t(36000:40000),HeaveLC1wasim(36000:40000),'-or','LineWidth',1,'MarkerSize',2)
hold on 
plot(t(36000:40000),HeaveLC1(36000:40000),'-b','LineWidth',1)
xlabel('time (secs)')
ylabel('Heave (m)')
title('Comparison Of Motion Response in Heave')
grid on
subplot(3,1,3)
plot(t(36000:40000),PitchLC1wasim(36000:40000),'-or','LineWidth',1,'MarkerSize',2)
hold on 
plot(t(36000:40000),PitchLC1(36000:40000),'-b','LineWidth',1)
xlabel('time (secs)')
ylabel('Pitch (deg)')
title('Comparison Of Motion Response in Pitch')
grid on