clear all
close all
clc
%% Reading heave motions
T = 21;
table1 = readmatrix('timeseries.txt');
table2 = readmatrix('wasimregularmotionsheave.txt');
table3 = readmatrix('regularmotionsHeave.txt')
t = table1(:,1);
dt = 0.1;
wasim = table2(:,17);
SIMA  = table3(:,17);
wasim_new = wasim - mean(wasim);
SIMA_new  = SIMA - mean(SIMA);
xbp_wasim = bpass(wasim_new,dt,(0.8/T),(1.2/T)); % output 
xbp_SIMA = bpass(SIMA_new,dt,(0.8/T),(1.2/T));
plot(t((12000:16000)),xbp_wasim((12000:16000)),'-k','LineWidth',0.75)
hold on 
plot(t((12000:16000)),xbp_SIMA((12000:16000)),'-b','LineWidth',0.75)
xlabel('time (secs)')
ylabel('Motion response (m)')
legend('WASIM ','SIMA')
title('Filtered Time Series Of Heave Response')
grid on
figure(2)
plot(t,wasim,'-k','LineWidth',0.75)
hold on 
plot(t,SIMA,'-b','LineWidth',0.75)
xlabel('time (secs)')
ylabel('Motion response (m)')
legend('WASIM ','SIMA')
title('Unfiltered Time Series Of Heave Response')
grid on
