

close all
clear all
clc
% reg wave H=2m, T=12.1s
% reg wave H=2m, T=9s
dt = 0.1;
tic
for iwave = 1:1
    if iwave ==1 
        amp = 2/2;
        omega = 2*pi/21;
    elseif iwave == 2
        amp =2/2;
        omega = 2*pi/21;
    end
 
    tlength = 4000; % applied time series length SIMA
    t = [0:dt:tlength]';
    eta = amp*cos(omega*t);
    % add a ramp
    Twave = 2*pi/omega;
    tramp = min(10*Twave,200);
    iendramp = sum(t<tramp);
    rampfac = t(1:iendramp)/t(iendramp); 
    eta(1:iendramp)=eta(1:iendramp).*rampfac;
 
    figure
    plot(t(37000:40001),eta(37000:40001))
xlabel('time (secs)')
ylabel('Wave elevation (m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Wave Elevation For A Wave Period Of 21 Seconds')
grid on
    fid = fopen(sprintf('%s%03d%s','waves\wave', iwave ,'.asc'),'w')
%     fid = fopen('test1.txt','w');
    fprintf(fid,'%d\n',length(eta));
    fprintf(fid,'%f\n',dt);
    fprintf(fid,'%s\n',date);
    fprintf(fid,'%s\n','regular waves');
    for ii = 1:length(eta)
        fprintf(fid,'%f\n',eta(ii));
    end
    fclose(fid);
 
end
toc
